libvirt0-3.10.0-1.3.mga6.i586.rpm


Advertisement

Description

libvirt0 - A library to interact with virtualization capabilities

Property Value
Distribution Mageia 6.0
Repository Mageia Core Updates i586
Package name libvirt0
Package version 3.10.0
Package release 1.3.mga6
Package architecture i586
Package type rpm
Installed size 4.00 MB
Download size 1.06 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.
This package contains the library needed to run programs dynamically
linked with libvirt.

Alternatives

Package Version Architecture Repository
libvirt0-3.10.0-1.2.mga6.i586.rpm 3.10.0 i586 Mageia Core Updates
libvirt0-3.10.0-1.1.mga6.i586.rpm 3.10.0 i586 Mageia Core Updates
libvirt0-3.3.0-1.mga6.i586.rpm 3.3.0 i586 Mageia Core
libvirt0 - - -

Requires

Name Value
libacl.so.1 -
libacl.so.1(ACL_1.0) -
libaudit.so.1 -
libavahi-client.so.3 -
libavahi-common.so.3 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.1) -
libc.so.6(GLIBC_2.1.2) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.13) -
libc.so.6(GLIBC_2.14) -
libc.so.6(GLIBC_2.17) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.2.3) -
libc.so.6(GLIBC_2.2.4) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libc.so.6(GLIBC_2.9) -
libcap-ng.so.0 -
libcrypto.so.1.0.0 -
libcurl.so.4 -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libdevmapper.so.1.02 -
libdevmapper.so.1.02(Base) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3.1) -
libgnutls.so.30 -
libgnutls.so.30(GNUTLS_3_4) -
libintl.so.8 -
libnl-3.so.200 -
libnl-3.so.200(libnl_3) -
libnuma.so.1 -
libnuma.so.1(libnuma_1.1) -
libnuma.so.1(libnuma_1.2) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libsasl2.so.3 -
libssh2.so.1 -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -
libvirt.so.0 -
libvirt.so.0(LIBVIRT_0.1.0) -
libvirt.so.0(LIBVIRT_0.6.1) -
libvirt.so.0(LIBVIRT_PRIVATE_3.10.0) -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.5.2) -
libxml2.so.2(LIBXML2_2.5.4) -
libxml2.so.2(LIBXML2_2.6.0) -
libyajl.so.2 -

Provides

Name Value
libvirt-admin.so.0 -
libvirt-admin.so.0(LIBVIRT_ADMIN_2.0.0) -
libvirt-admin.so.0(LIBVIRT_ADMIN_3.0.0) -
libvirt-admin.so.0(LIBVIRT_ADMIN_PRIVATE_3.10.0) -
libvirt-lxc.so.0 -
libvirt-lxc.so.0(LIBVIRT_LXC_1.0.2) -
libvirt-lxc.so.0(LIBVIRT_LXC_1.0.4) -
libvirt-lxc.so.0(LIBVIRT_LXC_2.0.0) -
libvirt-qemu.so.0 -
libvirt-qemu.so.0(LIBVIRT_QEMU_0.10.0) -
libvirt-qemu.so.0(LIBVIRT_QEMU_0.8.3) -
libvirt-qemu.so.0(LIBVIRT_QEMU_0.9.4) -
libvirt-qemu.so.0(LIBVIRT_QEMU_1.2.3) -
libvirt.so.0 -
libvirt.so.0(LIBVIRT_0.0.3) -
libvirt.so.0(LIBVIRT_0.0.5) -
libvirt.so.0(LIBVIRT_0.1.0) -
libvirt.so.0(LIBVIRT_0.1.1) -
libvirt.so.0(LIBVIRT_0.1.4) -
libvirt.so.0(LIBVIRT_0.1.5) -
libvirt.so.0(LIBVIRT_0.1.9) -
libvirt.so.0(LIBVIRT_0.10.0) -
libvirt.so.0(LIBVIRT_0.10.2) -
libvirt.so.0(LIBVIRT_0.2.0) -
libvirt.so.0(LIBVIRT_0.2.1) -
libvirt.so.0(LIBVIRT_0.2.3) -
libvirt.so.0(LIBVIRT_0.3.0) -
libvirt.so.0(LIBVIRT_0.3.2) -
libvirt.so.0(LIBVIRT_0.3.3) -
libvirt.so.0(LIBVIRT_0.4.0) -
libvirt.so.0(LIBVIRT_0.4.1) -
libvirt.so.0(LIBVIRT_0.4.2) -
libvirt.so.0(LIBVIRT_0.4.5) -
libvirt.so.0(LIBVIRT_0.5.0) -
libvirt.so.0(LIBVIRT_0.6.0) -
libvirt.so.0(LIBVIRT_0.6.1) -
libvirt.so.0(LIBVIRT_0.6.3) -
libvirt.so.0(LIBVIRT_0.6.4) -
libvirt.so.0(LIBVIRT_0.7.0) -
libvirt.so.0(LIBVIRT_0.7.1) -
libvirt.so.0(LIBVIRT_0.7.2) -
libvirt.so.0(LIBVIRT_0.7.3) -
libvirt.so.0(LIBVIRT_0.7.5) -
libvirt.so.0(LIBVIRT_0.7.7) -
libvirt.so.0(LIBVIRT_0.8.0) -
libvirt.so.0(LIBVIRT_0.8.1) -
libvirt.so.0(LIBVIRT_0.8.2) -
libvirt.so.0(LIBVIRT_0.8.5) -
libvirt.so.0(LIBVIRT_0.8.6) -
libvirt.so.0(LIBVIRT_0.8.8) -
libvirt.so.0(LIBVIRT_0.9.0) -
libvirt.so.0(LIBVIRT_0.9.10) -
libvirt.so.0(LIBVIRT_0.9.11) -
libvirt.so.0(LIBVIRT_0.9.13) -
libvirt.so.0(LIBVIRT_0.9.2) -
libvirt.so.0(LIBVIRT_0.9.3) -
libvirt.so.0(LIBVIRT_0.9.4) -
libvirt.so.0(LIBVIRT_0.9.5) -
libvirt.so.0(LIBVIRT_0.9.7) -
libvirt.so.0(LIBVIRT_0.9.8) -
libvirt.so.0(LIBVIRT_0.9.9) -
libvirt.so.0(LIBVIRT_1.0.0) -
libvirt.so.0(LIBVIRT_1.0.1) -
libvirt.so.0(LIBVIRT_1.0.2) -
libvirt.so.0(LIBVIRT_1.0.3) -
libvirt.so.0(LIBVIRT_1.0.5) -
libvirt.so.0(LIBVIRT_1.0.6) -
libvirt.so.0(LIBVIRT_1.1.0) -
libvirt.so.0(LIBVIRT_1.1.1) -
libvirt.so.0(LIBVIRT_1.1.3) -
libvirt.so.0(LIBVIRT_1.2.1) -
libvirt.so.0(LIBVIRT_1.2.11) -
libvirt.so.0(LIBVIRT_1.2.12) -
libvirt.so.0(LIBVIRT_1.2.14) -
libvirt.so.0(LIBVIRT_1.2.15) -
libvirt.so.0(LIBVIRT_1.2.16) -
libvirt.so.0(LIBVIRT_1.2.17) -
libvirt.so.0(LIBVIRT_1.2.19) -
libvirt.so.0(LIBVIRT_1.2.3) -
libvirt.so.0(LIBVIRT_1.2.5) -
libvirt.so.0(LIBVIRT_1.2.6) -
libvirt.so.0(LIBVIRT_1.2.7) -
libvirt.so.0(LIBVIRT_1.2.8) -
libvirt.so.0(LIBVIRT_1.2.9) -
libvirt.so.0(LIBVIRT_1.3.3) -
libvirt.so.0(LIBVIRT_2.0.0) -
libvirt.so.0(LIBVIRT_2.2.0) -
libvirt.so.0(LIBVIRT_3.0.0) -
libvirt.so.0(LIBVIRT_3.1.0) -
libvirt.so.0(LIBVIRT_3.4.0) -
libvirt.so.0(LIBVIRT_3.7.0) -
libvirt.so.0(LIBVIRT_3.9.0) -
libvirt.so.0(LIBVIRT_PRIVATE_3.10.0) -
libvirt0 == 3.10.0-1.3.mga6
libvirt0(x86-32) == 3.10.0-1.3.mga6

Conflicts

Name Value
libvirt-devel < 3.10.0-1.3.mga6

Download

Type URL
Binary Package libvirt0-3.10.0-1.3.mga6.i586.rpm
Source Package libvirt-3.10.0-1.3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libvirt0 rpm package:
    # urpmi libvirt0

Files

Path
/usr/lib/libvirt-admin.so.0
/usr/lib/libvirt-admin.so.0.3010.0
/usr/lib/libvirt-lxc.so.0
/usr/lib/libvirt-lxc.so.0.3010.0
/usr/lib/libvirt-qemu.so.0
/usr/lib/libvirt-qemu.so.0.3010.0
/usr/lib/libvirt.so.0
/usr/lib/libvirt.so.0.3010.0

Changelog

2018-05-23 - mrambo3501 <mrambo3501> 3.10.0-1.3.mga6
(not released yet)
+ Revision: 1231924
- add centos patch which fixes CVE-2018-3639 (mga#23072)
- add upstream patch which fixes CVE-2018-1064 (mga#22777)
- add ubuntu/debian patches which fix CVE-2018-5748 and CVE-2018-6764 (mga#22280)
- new version 3.10.0 fixes security vulnerabilities and build failures (mga#22280)
- removed both patches (applied upstream)
+ luigiwalser <luigiwalser>
- add patches from opensuse to fix security issues (bsc#1053600 and CVE-2017-1000256)
2017-05-25 - mrambo3501 <mrambo3501> 3.3.0-1.mga6
+ Revision: 1104524
- version 3.3.0 fixes CVE-2015-5160 (#19717)
- deleted two patches applied upstream
- deleted the systemd patch which no longer applies
2017-05-03 - akien <akien> 1.3.5-5.mga6
+ Revision: 1098914
- Disable glusterfs support, the package was dropped in mga6 as unmaintained
2016-08-19 - blino <blino> 1.3.5-4.mga6
+ Revision: 1046966
- recommend virtual netcat package instead of specific netcat-openbsd (to avoid conflict with task-printing which requires netcat-traditional), libvirt supports both as of commit a2b5c57db83559d4fe32ee90fbb6685555388e06 from 2011
2016-07-07 - luigiwalser <luigiwalser> 1.3.5-3.mga6
+ Revision: 1039476
- add upstream patch to fix CVE-2016-5008
2016-06-29 - tv <tv> 1.3.5-2.mga6
+ Revision: 1038152
- patch 100: add support for VirtualBox 5
2016-06-07 - tv <tv> 1.3.5-1.mga6
+ Revision: 1020554
- new release
2016-05-21 - tv <tv> 1.3.4-4.mga6
+ Revision: 1017279
- Fix libxl video config via virt-install (bz #1334557)
2016-05-04 - tv <tv> 1.3.4-3.mga6
+ Revision: 1009081
- better docs: include CSS files
- do not BR the full qemu
2016-05-03 - tv <tv> 1.3.4-2.mga6
+ Revision: 1008950
- adjust file list
- move api XML files back into devel (needed for python-libvirt build)
- split docs sub package

See Also

Package Description
libvlc-devel-3.0.2-0.1.mga6.i586.rpm Development files for the VLC media player
libvlc-devel-3.0.4-1.mga6.i586.rpm Development files for the VLC media player
libvlc5-3.0.2-0.1.mga6.i586.rpm Shared code for the VLC media player
libvlc5-3.0.4-1.mga6.i586.rpm Shared code for the VLC media player
libvlccore9-3.0.2-0.1.mga6.i586.rpm Shared core code for the VLC media player
libvlccore9-3.0.4-1.mga6.i586.rpm Shared core code for the VLC media player
libvncserver-devel-0.9.11-1.1.mga6.i586.rpm Headers for developing programs that will use libvncserver
libvncserver1-0.9.11-1.1.mga6.i586.rpm An easy API to write one's own VNC server
libvorbis-devel-1.3.5-2.1.mga6.i586.rpm Headers for developing programs that will use libvorbis
libvorbis-devel-1.3.5-2.3.mga6.i586.rpm Headers for developing programs that will use libvorbis
libvorbis-devel-1.3.5-2.4.mga6.i586.rpm Headers for developing programs that will use libvorbis
libvorbis0-1.3.5-2.1.mga6.i586.rpm Main library for libvorbis
libvorbis0-1.3.5-2.3.mga6.i586.rpm Main library for libvorbis
libvorbis0-1.3.5-2.4.mga6.i586.rpm Main library for libvorbis
libvorbisenc2-1.3.5-2.1.mga6.i586.rpm Encoder specialized library for libvorbis
Advertisement
Advertisement